<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	 <xsl:param name="selected_user" select="e" />
    <xsl:param name="accessionMap" select="e" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="enableComments" select="e" />
	<xsl:param name="navig_url" select="ProcessActivitiesHandlerPO.po" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>Process Activities</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) {
   					var formTag = document.getElementById(formId);
   					formTag.action=actionAttr; formTag.submit();
					}
					function submitFormEvent(formId, actionAttr,event) {
   					var formTag = document.getElementById(formId);
   					formTag.action=actionAttr;
   					formTag.event.value=event; formTag.submit();
   			   }
               function openNewDialogWindow(pageName,windowName,parameters) {
					   window.open(pageName,windowName,parameters);
               }
					function submitContentFormWithAction(formId,actionAttr,event, txt) {
                      if(confirm(txt))
	                  {
   	                  alreadySubmited = true;
  	                  if(window.event != null)
    	               window.event.returnValue = false;
  	                  var formTag = document.getElementById(formId);
	                  formTag.action=actionAttr;
  	                  formTag.event.value=event;
  	                  formTag.submit();
  	                 }
  	                 }
				</script>
			</head>
			<body class="body_home">
				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                           <table width="100%">
                            <tr>
                              <td width="2%" />

                              <td class="logo_image_one"/>

                              <td  class="logo_image_two" />

                              <td class="logo_image_three"/>
                           <td width="2%" />
                         </tr>
                       </table>
                       </td>

                     </tr>
						<tr>
							<td width="2%" />

							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>

									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
									</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
						 <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					       Process Activities
				         </td>
				         <td align="center" class="body_home" height="15" width="5%">
                         </td>
				         <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				         </td>
                         <td align="left" class="body_home" width="2%"/>
						</tr>
						<tr>
							<td class="body_lower" colspan="5"
								height="1" />
						</tr>
						<tr>
                          <td align="left" class="body_home" width="2%"/>
				          <td align="left" class="body_home" height="15"/>
				          <td align="center" class="body_home" height="15" width="5%"/>
				          <td align="right" class="body_home" height="15"/>
                          <td align="left" class="body_home" width="2%"/>
                       </tr>
                       <tr>
                          <td class="body_lower" colspan="5" height="1"/>
                       </tr>
						<tr>
							<td colspan="5">
								<table width="100%" hight="100%"
									border="1" cellpadding="0" cellspacing="0" class="body_main">
									<tr>
										<!-- xsl:variable name="url">
											javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
											<xsl:value-of
											select="$from_element" />
											&#38;sortCriterion=id&#38;sortAsc=
											<xsl:value-of
											select="not($sortAsc='true')" />
											','sort')
											</xsl:variable-->
										<td class="main_header_text">
											<div align="center">
												<!-- a href="{$url}"-->
												Id<!-- /a-->
											</div>
										</td>
										<!-- xsl:variable name="url">
											javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
											<xsl:value-of
											select="$from_element" />
											&#38;sortCriterion=name&#38;sortAsc=
											<xsl:value-of
											select="not($sortAsc='true')" />
											','sort')
											</xsl:variable-->
										<td class="main_header_text">
											<div align="center">
												<!-- a href="{$url}"-->
												Name
												<!-- /a-->
											</div>
										</td>
										<!-- xsl:variable name="url">
											javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
											<xsl:value-of
											select="$from_element" />
											&#38;sortCriterion=state&#38;sortAsc=
											<xsl:value-of
											select="not($sortAsc='true')" />
											','sort')
											</xsl:variable-->
										<td class="main_header_text">
											<div align="center">
												<!-- a href="{$url}"-->
												State
												<!-- /a-->
											</div>
										</td>
										<!-- xsl:variable name="url">
											javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
											<xsl:value-of
											select="$from_element" />
											&#38;sortCriterion=createdtime&#38;sortAsc=
											<xsl:value-of
											select="not($sortAsc='true')" />
											','sort')
											</xsl:variable-->
										<td class="main_header_text">
											<div align="center">
												<!-- a href="{$url}"-->
												Created
												<!-- /a-->
											</div>
										</td>
										<td class="main_header_text">
											<div align="center">
												Started
											</div>
										</td>
										<td class="main_header_text">
											<div align="center">
												Finished
											</div>
										</td>

										<td class="main_header_text">
											<div align="center">
												Actions
											</div>
										</td>
									</tr>
									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:ManualActivityInstance' or name()='xpil:SubFlowActivityInstance' or name()='xpil:RouteActivityInstance'  or name()='xpil:ToolActivityInstance' or name()='xpil:BlockActivityInstance'">
												<tr
													class="content_label_text" bgcolor="white">
													<td
														align="center">
														<xsl:value-of
															select="@Id" />
													</td>
													<td
														align="center">
														<xsl:value-of
															select="@Name" />
													</td>
													<td
														align="center">
														<xsl:value-of
															select="@State" />
													</td>

													<td
														align="center">
														<xsl:value-of
															select="concat(substring(@Created,0,11),' ',substring(@Created,12,5))" />
													</td>
													<xsl:choose>
														<xsl:when
															test="@Started=''">
															<td
																align="center">
																-
															</td>
														</xsl:when>
														<xsl:otherwise>
															<td
																align="center">
																<xsl:value-of
																	select="concat(substring(@Started,0,11),' ',substring(@Started,12,5))" />
															</td>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:choose>
														<xsl:when
															test="substring(@State,0,5)='open'">
															<td
																align="center">
																-
															</td>
														</xsl:when>
														<xsl:otherwise>
															<td
																align="center">
																<xsl:value-of
																	select="concat(substring(@Finished,0,11),' ',substring(@Finished,12,5))" />
															</td>
														</xsl:otherwise>
													</xsl:choose>

													<xsl:variable
														name="variablesUrl">
														javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=ProcessActivitiesHandlerPO.po
														','variables')
													</xsl:variable>

													<xsl:variable
														name="suspendUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','suspend','Do you really want to suspend activity?')
													</xsl:variable>
													<xsl:variable
														name="completeUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','complete','Do you really want to complete activity?')
													</xsl:variable>
													<xsl:variable
														name="resumeUrl">
														javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','resume')
													</xsl:variable>

													<xsl:variable
														name="terminateUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','terminate','Do you really want to terminate activity?')
													</xsl:variable>
													<xsl:variable
														name="abortUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','abort','Do you really want to abort activity?')
													</xsl:variable>
													<xsl:variable
														name="stopUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','stop','Do you really want to stop activity?')
													</xsl:variable>

													<xsl:variable
														name="startUrl">
														javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','start')
													</xsl:variable>
													<xsl:variable
														name="detailUrl">
														javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
															&#38;fromPage=
														<xsl:value-of
															select="$fromPage" />
														','details')
													</xsl:variable>
													<xsl:variable
														name="historyUrl">
														javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;act_id=
														<xsl:value-of
															select="@Id" />
														&#38;pro_id=
														<xsl:value-of
															select="../../@Id" />
														&#38;fromPage=ProcessActivitiesHandlerPO.po
														','history')
													</xsl:variable>
									            <xsl:variable name="allCommentsUrl">javascript:openNewDialogWindow('AllCommentsHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>','dialog','resizable=no,scrollbars=yes')</xsl:variable>

												   <xsl:variable name="processState">
												   <xsl:value-of
															select="../../@State" />
												   </xsl:variable>
													<td colspan="3"
														class="title_style" height="30" align="center">
														<table>
														<tr>
														<td>
														<a
															href="{$detailUrl}" class="link_text">
															<img
																src="media/gear_information.gif" alt="Activity details"
																border="0" />
														</a>
														</td>

														<xsl:if
															test="@State='open.running'  and $sharkEdition!='community'">
															<td>
															<a
																href="{$suspendUrl}" class="link_text">
																<img
																	src="media/gear_pause.gif" alt="Activity suspend"
																	border="0" />
															</a>
															</td>
														</xsl:if>


														<xsl:if
															test="@State='open.not_running.not_started' and $sharkEdition!='community'">
															<td>
															<a
																href="{$startUrl}" class="link_text">
																<img
																	src="media/gear_run.gif" alt="Activity start"
																	border="0" />
															</a>
															</td>
														</xsl:if>

														<xsl:if
															test="@State='open.running'">
															<td>
															<a
																href="{$completeUrl}" class="link_text">
																<img
																	src="media/gear_ok.gif" alt="Activity complete"
																	border="0" />
															</a>
															</td>
															<xsl:if test="$sharkEdition!='community'">
															 <td>
															  <a
																href="{$stopUrl}" class="link_text">
																<img
																	src="media/stop.gif" alt="Activity stop"
																	border="0" />
															  </a>
															  </td>
															</xsl:if>
														</xsl:if>

														<xsl:if
															test="@State='open.not_running.suspended' and $processState!='open.not_running.suspended'  and $sharkEdition!='community'">
															<td>
															<a
																href="{$resumeUrl}" class="link_text">
																<img
																	src="media/gear_refresh.gif" alt="Activity resume"
																	border="0" />
															</a>
															</td>
														</xsl:if>

														<xsl:if
															test="@State!='closed.completed' and @State!='closed.terminated' and @State!='closed.aborted'  and $sharkEdition!='community'">
														   <td>
															<a
																href="{$terminateUrl}" class="link_text">
																<img
																	src="media/gear_stop.gif" alt="Activity terminate"
																	border="0" />
															</a>
															</td>
														</xsl:if>
														<xsl:if
															test="@State!='closed.completed' and @State!='closed.terminated' and @State!='closed.aborted'  and $sharkEdition!='community'">
															<td>
															<a
																href="{$abortUrl}" class="link_text">
																<img
																	src="media/gear_forbidden.gif" alt="Activity abort"
																	border="0" />
															</a>
															</td>
														</xsl:if>
														<td>
                                                        <a
															href="{$variablesUrl}" class="link_text">
															<img
																src="media/form_green.gif" alt="Activity variables"
																border="0" />
														</a>
														</td>
														<xsl:if test="$sharkEdition!='community'">
														   <td>
														    <a href="{$historyUrl}" class="link_text">
																<img
																	src="media/history.gif" alt="Activity history"
																	border="0" />
															</a>
															</td>
               										  <xsl:if test="$enableComments='true'">
               											<td>
               												<a href="{$allCommentsUrl}" class="link_text">
               												<img src="media/allcomments.gif" alt="Comments"
               													border="0" />
               												</a>
               											</td>
               											</xsl:if>
														</xsl:if>
														</tr>
														</table>
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</td>
						</tr>
						<tr>
							<xsl:variable name="cancelUrl">
								javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;fromPage=
								<xsl:value-of select="$fromPage" />
								','cancel')
							</xsl:variable>
							<td width="2%"/>
							<td colspan="3" class="title_style"
								height="30" align="right">
								<a href="{$cancelUrl}"
									class="link_text">
									<img src="media/back_n.gif"
										border="0" alt="Back" />
								</a>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td align="left" class="body_bottom"
								width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
                           &#169; 2006 Together Teaml&#246;sungen
                         </td>
                         <td class="body_bottom" height="15" align="right">
                           <xsl:if test="$auth_type!='BASIC'">
                              <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                              <a href="{$loUrl}">Log-out</a>
                           </xsl:if>
                         </td>
							<td align="left" class="body_bottom"
								width="2%" />
                        </tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
